Write Off a Pledge
curl --request PUT \
--url https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string:required:maxLength=100>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string:required:maxLength=100>'})
};
fetch('https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}"
payload = { "reason": "<string:required:maxLength=100>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"reason\": \"<string:required:maxLength=100>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string:required:maxLength=100>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string:required:maxLength=100>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string:required:maxLength=100>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string:required:maxLength=100>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 800045,
"contactId": 100234,
"amountPledged": 5000,
"frequency": "Quarterly",
"pledgeDate": "2025-03-01T00:00:00Z",
"expectedFulfillmentDate": "2026-03-01T00:00:00Z",
"createDateTimeUtc": "2025-03-01T11:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"projectId": 1503,
"project": "Building Renovation",
"isPrivate": false,
"status": "WrittenOff",
"payments": [
{
"id": 900200,
"expectedPaymentDate": "2025-06-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500140,
"actualAmount": 1000
},
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
Write Off a Pledge
Writes off the unpaid balance of the pledge so it no longer counts as expected revenue. Send a reason to record why. Payments already applied are kept.
PUT
/
api
/
v2
/
Pledge
/
WriteOff
/
{pledgeId}
Write Off a Pledge
curl --request PUT \
--url https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string:required:maxLength=100>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string:required:maxLength=100>'})
};
fetch('https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}"
payload = { "reason": "<string:required:maxLength=100>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"reason\": \"<string:required:maxLength=100>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string:required:maxLength=100>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string:required:maxLength=100>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string:required:maxLength=100>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/v2/Pledge/WriteOff/{pledgeId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string:required:maxLength=100>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 800045,
"contactId": 100234,
"amountPledged": 5000,
"frequency": "Quarterly",
"pledgeDate": "2025-03-01T00:00:00Z",
"expectedFulfillmentDate": "2026-03-01T00:00:00Z",
"createDateTimeUtc": "2025-03-01T11:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-15T18:00:00Z",
"modifiedByUser": "Partner Integration",
"segmentId": 2012,
"segment": "Capital Campaign — Phase II",
"projectId": 1503,
"project": "Building Renovation",
"isPrivate": false,
"status": "WrittenOff",
"payments": [
{
"id": 900200,
"expectedPaymentDate": "2025-06-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500140,
"actualAmount": 1000
},
{
"id": 900201,
"expectedPaymentDate": "2025-10-01T00:00:00Z",
"expectedAmount": 1000,
"giftId": 500142,
"actualAmount": 1000
}
],
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Was this page helpful?